{{$root := .}}
<div class="row mt-n1 py-1">
  <div class="col-12">
    <div class="d-flex">
      <div class="ml-auto mx-n1">
        {{range $i, $v := .actions}}
        {{partial "button" (merge $v (dict "controller" $root.controller "name" (print $root.name "_" .name "_" $i)))}}
        {{end}}
      </div>
    </div>
  </div>
